# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricProcessDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricProcessDialog(object):
    def setupUi(self, EricProcessDialog):
        EricProcessDialog.setObjectName("EricProcessDialog")
        EricProcessDialog.resize(600, 500)
        EricProcessDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricProcessDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.outputGroup = QtWidgets.QGroupBox(parent=EricProcessDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.outputGroup.sizePolicy().hasHeightForWidth())
        self.outputGroup.setSizePolicy(sizePolicy)
        self.outputGroup.setObjectName("outputGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.outputGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.resultbox = QtWidgets.QTextEdit(parent=self.outputGroup)
        self.resultbox.setReadOnly(True)
        self.resultbox.setAcceptRichText(False)
        self.resultbox.setObjectName("resultbox")
        self.vboxlayout.addWidget(self.resultbox)
        self.verticalLayout.addWidget(self.outputGroup)
        self.progressBar = QtWidgets.QProgressBar(parent=EricProcessDialog)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName("progressBar")
        self.verticalLayout.addWidget(self.progressBar)
        self.statusLabel = QtWidgets.QLabel(parent=EricProcessDialog)
        self.statusLabel.setObjectName("statusLabel")
        self.verticalLayout.addWidget(self.statusLabel)
        self.errorGroup = QtWidgets.QGroupBox(parent=EricProcessDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout1 = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout1.setObjectName("vboxlayout1")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout1.addWidget(self.errors)
        self.verticalLayout.addWidget(self.errorGroup)
        self.inputGroup = QtWidgets.QGroupBox(parent=EricProcessDialog)
        self.inputGroup.setObjectName("inputGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.inputGroup)
        self.gridlayout.setObjectName("gridlayout")
        spacerItem = QtWidgets.QSpacerItem(327, 29, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout.addItem(spacerItem, 1, 1, 1, 1)
        self.sendButton = QtWidgets.QPushButton(parent=self.inputGroup)
        self.sendButton.setObjectName("sendButton")
        self.gridlayout.addWidget(self.sendButton, 1, 2, 1, 1)
        self.input = QtWidgets.QLineEdit(parent=self.inputGroup)
        self.input.setClearButtonEnabled(True)
        self.input.setObjectName("input")
        self.gridlayout.addWidget(self.input, 0, 0, 1, 3)
        self.passwordCheckBox = QtWidgets.QCheckBox(parent=self.inputGroup)
        self.passwordCheckBox.setObjectName("passwordCheckBox")
        self.gridlayout.addWidget(self.passwordCheckBox, 1, 0, 1, 1)
        self.verticalLayout.addWidget(self.inputGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricProcessDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricProcessDialog)
        QtCore.QMetaObject.connectSlotsByName(EricProcessDialog)
        EricProcessDialog.setTabOrder(self.resultbox, self.errors)
        EricProcessDialog.setTabOrder(self.errors, self.input)
        EricProcessDialog.setTabOrder(self.input, self.passwordCheckBox)
        EricProcessDialog.setTabOrder(self.passwordCheckBox, self.sendButton)
        EricProcessDialog.setTabOrder(self.sendButton, self.buttonBox)

    def retranslateUi(self, EricProcessDialog):
        _translate = QtCore.QCoreApplication.translate
        self.outputGroup.setTitle(_translate("EricProcessDialog", "Output"))
        self.errorGroup.setTitle(_translate("EricProcessDialog", "Errors"))
        self.inputGroup.setTitle(_translate("EricProcessDialog", "Input"))
        self.sendButton.setToolTip(_translate("EricProcessDialog", "Press to send the input to the running process"))
        self.sendButton.setText(_translate("EricProcessDialog", "&Send"))
        self.sendButton.setShortcut(_translate("EricProcessDialog", "Alt+S"))
        self.input.setToolTip(_translate("EricProcessDialog", "Enter data to be sent to the running process"))
        self.passwordCheckBox.setToolTip(_translate("EricProcessDialog", "Select to switch the input field to password mode"))
        self.passwordCheckBox.setText(_translate("EricProcessDialog", "&Password Mode"))
        self.passwordCheckBox.setShortcut(_translate("EricProcessDialog", "Alt+P"))
